OUTPUT_FORMAT("coff-h8300")
OUTPUT_ARCH(h8300h)
ENTRY("_start")
MEMORY
{
	vectors : o = 0x000000, l = 0xc4
	magicvectors : o = 0x0000c4, l = 0x3c
	ram : o = 0xffc720, l = 0x37f0
	stack : o = 0xffc720, l = 0
}
SECTIONS
{
	.vectors : {
		*(.vectors)
	} > vectors
	.text :	{
		*(.rodata)
		*(.text)
		*(.strings)
	   	_etext = . ;
	} > ram
	.tors : {
		___ctors = . ;
		*(.ctors)
		___ctors_end = . ;
		___dtors = . ;
		*(.dtors)
		___dtors_end = . ;
	} > ram
	.data : {
		*(.data)
		_edata = . ;
	} > ram
	.bss : {
		_bss_start = . ;
		*(.bss)
		*(COMMON)
		_end = . ;
	} > ram
	.stack : {
		*(.stack)
		_stack = . ;
	} > stack
}
